from flask_sqlalchemy import SQLAlchemy
from datetime import datetime

db = SQLAlchemy()

class University(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    name = db.Column(db.String(100), nullable=False)
    established_at = db.Column(db.DateTime, default=datetime.utcnow)

    def to_dict(self):
        return {
            "id": self.id,
            "name": self.name,
            "established_at": self.established_at.isoformat()
        }

class FacultyUniversity(db.Model):
    faculty_id = db.Column(db.Integer, db.ForeignKey('faculty.id'), primary_key=True)
    university_id = db.Column(db.Integer, db.ForeignKey('university.id'), primary_key=True)
